Loading...
Searching...
No Matches
BearingRange.h File Reference

Bearing-Range product. More...

Go to the source code of this file.

## Classes

struct | gtsam::BearingRange< A1, A2, B, R >
| Bearing-Range product for a particular A1,A2 combination will use the functors above to create a similar functor of type A1*A2 -> pair<Bearing::return_type,Range::return_type> For example BearingRange<Pose2,Point2>(pose,point) will return pair<Rot2,double> and BearingRange<Pose3,Point3>(pose,point) will return pair<Unit3,double>. More...
struct | gtsam::traits< BearingRange< A1, A2 > >
struct | gtsam::HasBearing< A1, A2, RT >
struct | gtsam::HasRange< A1, A2, RT >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Bearing-Range product.

Date
  July, 2015

Author
  Frank Dellaert